var myDate = new Date();
myDate.getYear(); //获取当前年份(2位)
myDate.getFullYear(); //获取完整的年份(4位,1970-????)
myDate.getMonth(); //获取当前月份(0-11,0代表1月)
myDate.getDate(); //获取当前日(1-31)
myDate.getDay(); //获取当前星期X(0-6,0代表星期天)
myDate.getTime(); //获取当前时间(从1970.1.1开始的毫秒数)
myDate.getHours(); //获取当前小时数(0-23)
myDate.getMinutes(); //获取当前分钟数(0-59)
myDate.getSeconds(); //获取当前秒数(0-59)
myDate.getMilliseconds(); //获取当前毫秒数(0-999)
myDate.toLocaleDateString(); //获取当前日期
var mytime = myDate.toLocaleTimeString(); //获取当前时间
myDate.toLocaleString(); //获取日期与时间

//获取当前系统时间，YYYY-MM-DD
function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var seperator2 = ":";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if(month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if(strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate;
	return currentdate;
}
/**
 * 加密生成api_token
 * @param {Object} controller 控制器名称
 * @param {Object} method 方法名称
 */
function get_app_md5_token(controller, method) {
	var date_time = getNowFormatDate(); //获取当前日期
	var api_token_md = hex_md5("chinacar" + controller.toLowerCase() + method.toLowerCase() + date_time + "2d37adfa6sty&*p"); //加密生成token
	return api_token_md;
}

/**
 * 跳转新闻详情页
 * @param {Object} news_id 新闻ID
 */
function get_news_view(news_id) {
//	console.log(news_id);
//	//	openWiewHtml('../news/news_view.html','',{news_id:news_id});
//	location.href = '../news/news_view.html?news_id=' + news_id;
	openWiewHtml('../news/news_view.html','news_view',{news_id:news_id});
}
/**
 * 跳转新闻详情页2
 * @param {Object} news_id 新闻ID
 */
function get_news_view2(news_id) {
//	console.log(news_id);
//	//	openWiewHtml('../news/news_view.html','',{news_id:news_id});
	location.href = '../news/news_view.html?news_id=' + news_id;
//	openWiewHtml('../news/news_view.html','news_view',{news_id:news_id});
}



/**
 * 商家圈调用api使用
 * @param {Object} action
 * @param {Object} method
 * @param {Object} callback
 * @param {Object} post
 */
function qz_post_ajax(action, method, callback, post) {
	var token = get_app_md5_token(action, method);
	var ajax_post_data = {
		app_id: app_id,
		api_token: token,
	};
	if(typeof(post) != undefined) {
		ajax_post_data = $.extend({}, ajax_post_data, post);
	}
	$.ajax({
		url: qz_host_url + "/AppApi/" + action + "/" + method,
		type: "get",
		data: ajax_post_data,
		dataType: "jsonp",
		async: false,
		jsonp: 'callback',
		success: function(result) {
			if(result.code == 0) {
				if(typeof(callback) != undefined) {
					callback(result.data);
				}
			} else {
				mui.toast(result.message);
			}
		},
		error: function(x, e) {
			mui.toast("数据请求失败");
		}
	});
}

//文字进行html以及alert()过滤处理函数
function setContent_pinglun(Texts) {
	Texts = Texts.replace(/\alert\([^()]*\)/g, ''); //移除alert（）元素;
	Texts = Texts.replace(/<\/?[^>]*>/g, ''); //去除HTML tag
	Texts = Texts.replace(/[ | ]*\n/g, '\n'); //去除行尾空白
	Texts = Texts.replace(/\n[\s| | ]*\r/g, '\n'); //去除多余空行
	Texts = Texts.replace(/^\s*/, "");
	Texts = Texts.replace(/\s*$/, "");
	Texts = Texts.replace(/(^\s*)|(\s*$)/g, '');
	return Texts;
}

//返回对象元素长度
function obj_count(o) {
	var t = typeof o;
	if(t == 'string') {
		return o.length;
	} else if(t == 'object') {
		var n = 0;
		for(var i in o) {
			n++;
		}
		return n;
	}
	return 0;
}

/**
 * 签到
 * @param {Object} id 显示签到状态的ID
 * @param {Object} mark_type 101:首页签到，102：问答签到
 */
function index_sign(id,mark_type){
	var user_id = plus.storage.getItem("login_user_id");//获取用户ID
	var login_user_token = plus.storage.getItem("login_user_token");//获取用户token
	//判断是否登录
	if (user_id == null || user_id == "") {
        var btnArray = ['确定', '取消'];
        mui.confirm('该操作需要登录！是否现在登录？', '登录提示', btnArray, function(e) {
            if (e.index == 0) {
                openWiewHtml('../login/login.html', "登陆页面", '');
            }
        });
        return false;
    }
	var token = get_app_md5_token("Index", "index_sign");
	var ajax_post_data = {
		app_id: app_id,
		api_token: token,
		mark_type:mark_type,
		user_id:user_id,
		user_token:login_user_token
	};
	$.ajax({ 
		url: host_url + "/AppApi/Index/index_sign",
		type: "get",
		data: ajax_post_data,
		dataType: "jsonp",
		async: false,
		jsonp: 'callback',
		success: function(result) {
			if(result == "user_error") {
				var btnArray = ['确定', '取消'];
		        mui.confirm('用户数据出错，请重新登录？', '登录提示', btnArray, function(e) {
		            if (e.index == 0) {
		                openWiewHtml('../login/login.html', "登陆页面", '');
		            }
		        });
		        return false;
			}
			if(result == "re_sign"){
				mui.toast("您已签到过了，无需重复操作");
				$("#"+id).html("已签到");
				return false;
			}
			if(result == "error"){
				mui.toast("签到失败");
				return false;
			}
			if(result == "success"){
				mui.toast("签到成功");
				$("#"+id).html("已签到");
				return false;
			}
		}, 
		error: function(x, e) {
			mui.toast("签到失败");
		}
	});
}

//如果未登录，跳转至未登录的个人中心
function go_no_login(){
	goPageByCode('user_index');
}


